GuideLab API

Prepare a direct conversation attachment upload

Creates one-use, tenant-bound staging keys and exact-size/content-type presigned PUT URLs. Call finalize after both uploads complete.

POST
/conversations/{id}/attachments/presign

Creates one-use, tenant-bound staging keys and exact-size/content-type presigned PUT URLs. Call finalize after both uploads complete.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/conversations/550e8400-e29b-41d4-a716-446655440000/attachments/presign" \  -H "Content-Type: application/json" \  -d '{    "filename": "string",    "mimeType": "string",    "size": 1  }'
{  "attachmentId": "string",  "uploadUrl": "string",  "uploadContentType": "string",  "thumbnailUploadUrl": "string",  "thumbnailUploadContentType": "string",  "name": "string",  "mimeType": "string",  "size": 0,  "category": "images"}
Empty
Empty
Empty
Empty
Empty